/**=================================================================================================
Hochschule Luzern - Technik & Architektur                                   Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                                                     http://hslu.ximit.ch
----------------------------------------------------------------------------------------------------
Project     : Adressverwaltung
Name        : main.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-10-19v1.0
Description : Adressverwaltung
              Schreiben Sie ein Programm zur Adressverwaltung. Über die Konsole können Sie neue
              Adressen eingeben, die Adressliste ausgeben und nach verschiedenen Kriterien
              sortieren. Erweitern Sie das Ihre Adressverwaltung, sodass die Adressliste in eine
              Datei abgespeichert und wieder gelesen werden kann.
==================================================================================================*/
#include <stdlib.h>
#include "address.h"
#include "addressConsoleIO.h"

/*
 * The main procedure to run the application.
 * @param argc Number of command line arguments
 * @param argv The forwarded command line arguments
 * @return Application return (error) code
 */
int main(int argc, char** argv) {
    err_t errCode = 0; // errorcode handler
    
    // init AddressList
    errCode = initialize();
    if (errCode > 0) {
        //printf("Init: Successfully...\n");
        showMenu(TRUE);
    } else {
        //printf("Error: Init AddrList: (Err: %d)\n", errCode);
        return (EXIT_FAILURE);
    }

    return (EXIT_SUCCESS);
}
